Summary:        GObject to SQLite object mapper library
Name:           gom
Version:        0.5.2
Release:        1%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Gom
Source0:        https://download.gnome.org/sources/gom/0.4/gom-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gobject-introspection-devel pygobject3-devel python3-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0) pkgconfig(sqlite3)

%description
This package provides an object mapper from GObjects to SQLite. Gom can help you write 
applications that need to store structured data and make complex queries upon that data.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup

%build
%meson -Denable-gtk-doc=false
%meson_build

%install
%meson_install

%files
%license COPYING
%{_libdir}/girepository-1.0/Gom-1.0.typelib
%{_libdir}/libgom-1.0.so.0*
%dir %{python3_sitearch}/gi
%dir %{python3_sitearch}/gi/overrides
%{python3_sitearch}/gi/overrides/*

%files devel
%{_includedir}/gom-1.0/
%{_libdir}/libgom-1.0.so
%{_libdir}/pkgconfig/gom-1.0.pc
%{_datadir}/gir-1.0/Gom-1.0.gir

%changelog
* Fri Jul 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 0.5.2-1
- Upgrade to version 0.5.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Wang Guodong <gordonwwang@tencent.com> - 0.4-1
- package init.
